public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-strategy/widelands/
Date: Sat, 30 Mar 2024 11:43:33 +0000 (UTC)	[thread overview]
Message-ID: <1711798992.f7f2514a795a9ac58471c4dfc3769705da94a5da.ionen@gentoo> (raw)

commit:     f7f2514a795a9ac58471c4dfc3769705da94a5da
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 30 11:04:30 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Mar 30 11:43:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7f2514a

games-strategy/widelands: add 1.2

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-strategy/widelands/Manifest             |  1 +
 games-strategy/widelands/widelands-1.2.ebuild | 58 +++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/games-strategy/widelands/Manifest b/games-strategy/widelands/Manifest
index 0a4c8d53cb7d..ce2d210f4704 100644
--- a/games-strategy/widelands/Manifest
+++ b/games-strategy/widelands/Manifest
@@ -1 +1,2 @@
 DIST widelands-1.1.tar.gz 416104611 BLAKE2B e217ff5a4e3ba0431b96290dd4908d7ddadaf1850e890cee135a54f88162b30d75dbf5bc5f086d6c5e8c5e4410a0a788201117c3615e15a3e2acfd00e8f01272 SHA512 29dbeae0940468c8aad6f0fa610c8467bdb6ecf2ba5fe9175683b7cdaab5f977fa86beb71de29057c829e9738568d15e10bc22fa7fc9e58132151a1a02d72d9d
+DIST widelands-1.2.tar.gz 457713595 BLAKE2B b89caef369268b31fb70c4b054f1df3651e974763c6b2d82488a662a7edaed19f525177371592f9ad28cc14194044d48862e22b38a3a449c6e7ed0023bf30d09 SHA512 e05812f93defe8b9a3da60e6ba73a65bba47abec3199298f9a778fb42655aba671cb45a2603c2936538de1e0f82892a183ea5e1df15937b9812d369d068fab81

diff --git a/games-strategy/widelands/widelands-1.2.ebuild b/games-strategy/widelands/widelands-1.2.ebuild
new file mode 100644
index 000000000000..a573f92451d1
--- /dev/null
+++ b/games-strategy/widelands/widelands-1.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit cmake python-any-r1 xdg
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/widelands/widelands.git"
+else
+	SRC_URI="https://github.com/widelands/widelands/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Game similar to Settlers 2"
+HOMEPAGE="https://www.widelands.org/"
+
+LICENSE="GPL-2+ || ( Apache-2.0 GPL-3 ) BitstreamVera CC-BY-SA-3.0 MIT OFL-1.1"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-libs/icu:=
+	media-libs/glew:0=
+	media-libs/libglvnd
+	media-libs/libpng:=
+	media-libs/libsdl2[opengl,sound,video]
+	media-libs/sdl2-image[jpeg,png]
+	media-libs/sdl2-mixer[vorbis]
+	media-libs/sdl2-ttf
+	sys-libs/zlib:=[minizip]
+	virtual/libintl
+"
+DEPEND="
+	${RDEPEND}
+	dev-cpp/asio
+"
+BDEPEND="
+	${PYTHON_DEPS}
+	sys-devel/gettext
+"
+
+src_configure() {
+	CMAKE_BUILD_TYPE=Release # disables -Werror
+
+	local mycmakeargs=(
+		-DWL_INSTALL_BASEDIR="${EPREFIX}"/usr/share/doc/${PF}
+		-DWL_INSTALL_BINDIR="${EPREFIX}"/usr/bin
+		-DWL_INSTALL_DATADIR="${EPREFIX}"/usr/share/${PN}
+		-DGTK_UPDATE_ICON_CACHE=OFF
+		-DOPTION_BUILD_TESTS=$(usex test)
+	)
+
+	cmake_src_configure
+}


             reply	other threads:[~2024-03-30 11:43 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-30 11:43 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-30 11:43 [gentoo-commits] repo/gentoo:master commit in: games-strategy/widelands/ Ionen Wolkens
2022-10-23 12:58 Ionen Wolkens
2022-10-23 12:58 Ionen Wolkens
2022-06-17 13:07 Jakov Smolić
2022-06-17 11:48 Jakov Smolić
2021-06-17 21:38 Ionen Wolkens
2021-06-15 11:37 Ionen Wolkens
2021-06-15 11:37 Ionen Wolkens
2021-06-08  7:10 Ionen Wolkens
2021-06-03 16:25 Ionen Wolkens
2021-06-03 16:25 Ionen Wolkens
2021-06-03 16:25 Ionen Wolkens
2020-12-02 23:08 Marek Szuba
2020-03-13 20:25 Lars Wendler
2020-03-12 15:30 Lars Wendler
2020-03-12 15:30 Lars Wendler
2019-05-02 14:52 Lars Wendler
2017-05-03 20:25 David Seifert
2017-05-03 20:25 David Seifert
2016-08-05  0:23 Austin English
2016-05-13 14:51 Agostino Sarubbo
2016-01-13  6:34 Michael Sterrett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1711798992.f7f2514a795a9ac58471c4dfc3769705da94a5da.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox